org.apache.fop.layoutmgr

## Class AbstractBreaker.BlockSequence

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<T>
      - - org.apache.fop.layoutmgr.KnuthSequence
        - - org.apache.fop.layoutmgr.BlockKnuthSequence
          - - org.apache.fop.layoutmgr.AbstractBreaker.BlockSequence

All Implemented Interfaces:
  Serializable, Cloneable, Iterable, Collection, List, RandomAccess

Enclosing class:
  AbstractBreaker

    public static class AbstractBreaker.BlockSequence
    extends BlockKnuthSequence

Helper class, extending the functionality of the basic `BlockKnuthSequence`.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.AbstractList

`modCount`

### Constructor Summary

Constructors
Constructor and Description
`BlockSequence(int startOn, int displayAlign)` Creates a new BlockSequence.

### Method Summary

All Methods Instance Methods Concrete Methods
`AbstractBreaker.BlockSequence` `endBlockSequence(Position breakPosition)` Finalizes a this `AbstractBreaker.BlockSequence`, adding a terminating penalty-glue-penalty sequence
`KnuthSequence` `endSequence()` Finalizes a Knuth sequence.
`KnuthSequence` `endSequence(Position breakPosition)` Finalizes a Knuth sequence.
`int` `getDisplayAlign()`
`int` `getStartOn()`

### Methods inherited from class org.apache.fop.layoutmgr.BlockKnuthSequence

`appendSequence, appendSequence, canAppendSequence, isInlineSequence`

### Methods inherited from class org.apache.fop.layoutmgr.KnuthSequence

`appendSequenceOrClose, appendSequenceOrClose, getElement, getFirstBoxIndex, getLast, removeLast, startSequence, toString, wrapPositions`

### Methods inherited from class java.util.ArrayList

`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, forEach, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

### Methods inherited from class java.util.AbstractList

`equals, hashCode`

### Methods inherited from class java.util.AbstractCollection

`containsAll`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.List

`containsAll, equals, hashCode`

### Methods inherited from interface java.util.Collection

`parallelStream, stream`

### Constructor Detail

#### BlockSequence

    public BlockSequence(int startOn,
                         int displayAlign)

Creates a new BlockSequence.

Parameters:
  `startOn` - the kind of page the sequence should start on. One of `Constants.EN_ANY`, `Constants.EN_COLUMN`, `Constants.EN_ODD_PAGE`, or `Constants.EN_EVEN_PAGE`.
  `displayAlign` - the value for the display-align property

### Method Detail

#### getStartOn

    public int getStartOn()

Returns:
  the kind of page the sequence should start on. One of `Constants.EN_ANY`, `Constants.EN_COLUMN`, `Constants.EN_ODD_PAGE`, or `Constants.EN_EVEN_PAGE`.

#### getDisplayAlign

    public int getDisplayAlign()

Returns:
  the value for the display-align property

#### endSequence

    public KnuthSequence endSequence()

Finalizes a Knuth sequence.

Overrides:
  `endSequence` in class `BlockKnuthSequence`
Returns:
  a finalized sequence.

#### endSequence

    public KnuthSequence endSequence(Position breakPosition)

Finalizes a Knuth sequence.

Parameters:
  `breakPosition` - a Position instance for the last penalty (may be null)
Returns:
  a finalized sequence.

#### endBlockSequence

    public AbstractBreaker.BlockSequence endBlockSequence(Position breakPosition)

Finalizes a this `AbstractBreaker.BlockSequence`, adding a terminating penalty-glue-penalty sequence

Parameters:
  `breakPosition` - a Position instance pointing to the last penalty
Returns:
  the finalized `AbstractBreaker.BlockSequence`